#
# spec file for package cacti (Version 0.8.6h)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           cacti
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel
Version:        0.8.6h
Release:        36.7
Summary:        Web Front-End to Monitor System Data via RRDtool
License:        GPL v2 or later
Group:          System/Monitoring
Url:            http://www.cacti.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        cacti.cron
Source2:        cacti-httpd.conf
Source3:        cacti.logrotate
Patch0:         path_fix.patch
Patch1:         %{name}-%{version}-CVE-2006-6799.patch
Patch2:         %{name}-%{version}-CVE-2007-6035.patch
Patch3:         %{name}-%{version}-fix_search_session_clear_issue.patch
Patch4:         %{name}-%{version}-fix_sql_syntax_related_to_default_rra_id.patch
Patch5:         %{name}-%{version}-mysql_5x_strict.patch
Patch6:         %{name}-%{version}-nth_percentile_empty_return_set_issue.patch
Requires:       http_daemon net-snmp rrdtool php mod_php_any
Requires:       php-snmp php-mysql php-session
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define prefix /usr/share/cacti
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)

%description
Cacti is a complete front-end to RRDtool: it stores all of the
necessary information for creating graphs and populating them with data
from a MySQL database.

The front-end is completely PHP driven. Along with being able to
maintain graphs, data sources, and round robin archives in a database,
Cacti also handles data gathering. There is also SNMP support for those
accustomed to creating traffic graphs with MRTG.



Authors:
--------
    Ian Berry <iberry@raxnet.net>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{prefix}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
cp *.php        $RPM_BUILD_ROOT%{prefix}
cp -pr lib      $RPM_BUILD_ROOT%{prefix}
cp -pr include  $RPM_BUILD_ROOT%{prefix}
cp -pr docs     $RPM_BUILD_ROOT%{prefix}
cp -pr images   $RPM_BUILD_ROOT%{prefix}
cp -pr install  $RPM_BUILD_ROOT%{prefix}
cp -pr resource $RPM_BUILD_ROOT%{prefix}
cp -pr scripts  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 *.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
# cron task
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/cacti
# apache2 config
install -d -m 755 $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d/cacti.conf
# logrotate config
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
# compute files list without config file
find $RPM_BUILD_ROOT%{prefix} -type d | sed -e 's|'$RPM_BUILD_ROOT'|%dir |' >> %{name}.list
find $RPM_BUILD_ROOT%{prefix} -type f ! -name config.php | sed -e 's|'$RPM_BUILD_ROOT'||' >> %{name}.list

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.list
%defattr(-,root,root)
%doc LICENSE docs/CHANGELOG docs/CONTRIB docs/README
%attr(-,wwwrun,-) %dir %{_localstatedir}/lib/cacti
%attr(-,wwwrun,-) %dir /var/log/cacti
%dir %{apache2_sysconfdir}/conf.d
%config(noreplace) %{prefix}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{apache2_sysconfdir}/conf.d/cacti.conf
%config(noreplace) /etc/logrotate.d/%{name}

%changelog
* Thu Feb 21 2008 - prusnak@suse.cz
- fix multiple vulnerabilities [#361376]
  * fix_search_session_clear_issue.patch
  * fix_sql_syntax_related_to_default_rra_id.patch
  * mysql_5x_strict.patch
  * nth_percentile_empty_return_set_issue.patch
* Wed Nov 21 2007 - prusnak@suse.cz
- fixed sql injection (CVE-2007-6035.patch) [#342991]
* Tue Jan 09 2007 - prusnak@suse.cz
- fixed CVE-2006-6799 [#231082]
* Fri Mar 17 2006 - stark@suse.de
- fix path settings
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - mrueckert@suse.de
- dont require php4 directly use the php abstraction
* Fri Jan 06 2006 - stark@suse.de
- update to 0.8.6h
- fixed logrotate setting
* Tue Jan 03 2006 - stark@suse.de
- update to 0.8.6g
* Tue Oct 25 2005 - stark@suse.de
- added php4-session to required packages (#130282)
* Sat Jul 02 2005 - stark@suse.de
- update to 0.8.6f
* Sat Jun 18 2005 - stark@suse.de
- update to 0.8.6e final
* Thu Jun 16 2005 - stark@suse.de
- update to 0.8.6e
* Fri Jan 21 2005 - stark@suse.de
- update to 0.8.6c
* Fri Nov 19 2004 - stark@suse.de
- update to 0.8.6b
- added logrotate config
* Mon Sep 20 2004 - stark@suse.de
- fix sql injection bug (#43908)
* Mon Aug 30 2004 - ro@suse.de
- remove apache1 traces
* Wed Apr 28 2004 - stark@suse.de
- update to 0.8.5a
* Mon Feb 16 2004 - stark@suse.de
- update to 0.8.5
* Mon Dec 29 2003 - stark@suse.de
- initial SUSE package
